Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007139OCaml~DO NOT USE (was: OCaml general)public2016-02-08 19:242016-12-12 16:19
Reportergasche 
Assigned Toshinwell 
PrioritynormalSeveritytextReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.03.1+devFixed in Version4.04.0 
Summary0007139: Warning message for unused exception uses "extension", which is confusing.
DescriptionHaving the unused exception
  exception Bad_magic_version of version

gives the following error message
  File "utils/misc.ml", line 660, characters 2-40:
  Warning 38: unused extension constructor Bad_magic_version.

I think that this is confusing for people that don't know about "extension constructor", and do not need to know about it. The error message should say

  Warning 38: unused exception Bad_magic_version.
Steps To Reproduce$ cat test.ml
module M : sig end = struct
  exception Foo of int
end

$ ocamlc -w +38 -c test.ml
File "test.ml", line 2, characters 2-22:
Warning 38: unused extension constructor Foo.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015794)
gasche (administrator)
2016-04-18 20:29

I'm pushing back to 4.04; this usability issue is already present in 4.02.3, so it can wait for 4.04.

I proposed a patch at

  https://github.com/ocaml/ocaml/pull/552 [^]
(0016965)
shinwell (developer)
2016-12-12 16:19

GPR#552 has now been merged.

- Issue History
Date Modified Username Field Change
2016-02-08 19:24 gasche New Issue
2016-02-08 19:27 gasche Steps to Reproduce Updated View Revisions
2016-03-22 16:03 doligez Status new => acknowledged
2016-03-22 16:03 doligez Target Version undecided => 4.03.0+dev / +beta1
2016-04-18 20:29 gasche Note Added: 0015794
2016-04-18 20:29 gasche Product Version 4.03.0+dev / +beta1 =>
2016-04-18 20:29 gasche Target Version 4.03.0+dev / +beta1 => 4.03.1+dev
2016-12-12 16:19 shinwell Note Added: 0016965
2016-12-12 16:19 shinwell Status acknowledged => resolved
2016-12-12 16:19 shinwell Fixed in Version => 4.04.0
2016-12-12 16:19 shinwell Resolution open => fixed
2016-12-12 16:19 shinwell Assigned To => shinwell
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker